Package com.studica.frc.jni

## Class LidarJNI

- java.lang.Object
- - com.studica.frc.jni.TitanJNIWrapper
  - - com.studica.frc.jni.LidarJNI

    public class LidarJNI
    extends TitanJNIWrapper

### Constructor Summary

Constructors
`LidarJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `c_Lidar_create​(int port)`
`static void` `c_Lidar_destroy()`
`static void` `c_Lidar_getData​(Lidar.ScanData data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LidarJNI

    public LidarJNI()

### Method Detail

#### c_Lidar_create

    public static void c_Lidar_create​(int port)

#### c_Lidar_getData

    public static void c_Lidar_getData​(Lidar.ScanData data)

#### c_Lidar_destroy

    public static void c_Lidar_destroy()